### Method

# GtkVnc Display open_host

#### Declaration [src]

    gboolean
    vnc_display_open_host (
      VncDisplay* obj,
      const char* host,
      const char* port
    )

#### Description [src]

Open a TCP connection to the remote desktop at `host` listening on `port`.

#### Parameters

`host`

  Type: `const char*`

  The host name or IP address.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`port`

  Type: `const char*`

  The service name or port number.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `gboolean`

TRUE if a connection was opened, FALSE if already open.